<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.MaterialProperty&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_material_property.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_1_1_material_property-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.MaterialProperty&lt; T &gt; Class Template Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Internally represents a material property.  
 <a href="class_tri_lib_1_1_material_property.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.MaterialProperty&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_material_property.png" usemap="#TriLib.MaterialProperty_3C_20T_20_3E_map" alt=""/>
  <map id="TriLib.MaterialProperty_3C_20T_20_3E_map" name="TriLib.MaterialProperty_3C_20T_20_3E_map">
<area href="interface_tri_lib_1_1_i_material_property.html" title="Internally represents the material property interface." alt="TriLib.IMaterialProperty" shape="rect" coords="0,0,174,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1c5fa03ed3939d617b66ce315cb2c460"><td class="memItemLeft" align="right" valign="top"><a id="a1c5fa03ed3939d617b66ce315cb2c460" name="a1c5fa03ed3939d617b66ce315cb2c460"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MaterialProperty</b> (string name, T data, uint index, uint semantic)</td></tr>
<tr class="separator:a1c5fa03ed3939d617b66ce315cb2c460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24028d475b219f19730d8fea9090ff18"><td class="memItemLeft" align="right" valign="top"><a id="a24028d475b219f19730d8fea9090ff18" name="a24028d475b219f19730d8fea9090ff18"></a>
override string&#160;</td><td class="memItemRight" valign="bottom"><b>ToString</b> ()</td></tr>
<tr class="separator:a24028d475b219f19730d8fea9090ff18"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a93b11e7b6c9e6c63f6763ba5aad37afa"><td class="memItemLeft" align="right" valign="top"><a id="a93b11e7b6c9e6c63f6763ba5aad37afa" name="a93b11e7b6c9e6c63f6763ba5aad37afa"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>Name</b><code> [get]</code></td></tr>
<tr class="separator:a93b11e7b6c9e6c63f6763ba5aad37afa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a382ed169dbe3504677ecba315ead44a1"><td class="memItemLeft" align="right" valign="top"><a id="a382ed169dbe3504677ecba315ead44a1" name="a382ed169dbe3504677ecba315ead44a1"></a>
Type&#160;</td><td class="memItemRight" valign="bottom"><b>Type</b><code> [get]</code></td></tr>
<tr class="separator:a382ed169dbe3504677ecba315ead44a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaeb357cd6a1be102df83eaedb06d1db"><td class="memItemLeft" align="right" valign="top"><a id="abaeb357cd6a1be102df83eaedb06d1db" name="abaeb357cd6a1be102df83eaedb06d1db"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>Index</b><code> [get]</code></td></tr>
<tr class="separator:abaeb357cd6a1be102df83eaedb06d1db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac5f821a547747e2245770f67eca92ff"><td class="memItemLeft" align="right" valign="top"><a id="aac5f821a547747e2245770f67eca92ff" name="aac5f821a547747e2245770f67eca92ff"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>Semantic</b><code> [get]</code></td></tr>
<tr class="separator:aac5f821a547747e2245770f67eca92ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c5f821b891fc553c7c914a98581f32e"><td class="memItemLeft" align="right" valign="top"><a id="a9c5f821b891fc553c7c914a98581f32e" name="a9c5f821b891fc553c7c914a98581f32e"></a>
T&#160;</td><td class="memItemRight" valign="bottom"><b>Data</b><code> [get]</code></td></tr>
<tr class="separator:a9c5f821b891fc553c7c914a98581f32e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a020a8fb66ea19b6dbd5ece9749f152dc"><td class="memItemLeft" align="right" valign="top"><a id="a020a8fb66ea19b6dbd5ece9749f152dc" name="a020a8fb66ea19b6dbd5ece9749f152dc"></a>
<a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>EmbeddedTextureData</b><code> [getset]</code></td></tr>
<tr class="separator:a020a8fb66ea19b6dbd5ece9749f152dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_interface_tri_lib_1_1_i_material_property"><td colspan="2" onclick="javascript:toggleInherit('properties_interface_tri_lib_1_1_i_material_property')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="interface_tri_lib_1_1_i_material_property.html">TriLib.IMaterialProperty</a></td></tr>
<tr class="memitem:aab4e96ec1eb578ac118d2c44e74ad896 inherit properties_interface_tri_lib_1_1_i_material_property"><td class="memItemLeft" align="right" valign="top"><a id="aab4e96ec1eb578ac118d2c44e74ad896" name="aab4e96ec1eb578ac118d2c44e74ad896"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>Name</b><code> [get]</code></td></tr>
<tr class="separator:aab4e96ec1eb578ac118d2c44e74ad896 inherit properties_interface_tri_lib_1_1_i_material_property"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1acb8d51a98121f1f6a33e6b819bb4f3 inherit properties_interface_tri_lib_1_1_i_material_property"><td class="memItemLeft" align="right" valign="top"><a id="a1acb8d51a98121f1f6a33e6b819bb4f3" name="a1acb8d51a98121f1f6a33e6b819bb4f3"></a>
Type&#160;</td><td class="memItemRight" valign="bottom"><b>Type</b><code> [get]</code></td></tr>
<tr class="separator:a1acb8d51a98121f1f6a33e6b819bb4f3 inherit properties_interface_tri_lib_1_1_i_material_property"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24d74406286387cc65af40348fb4f0e3 inherit properties_interface_tri_lib_1_1_i_material_property"><td class="memItemLeft" align="right" valign="top"><a id="a24d74406286387cc65af40348fb4f0e3" name="a24d74406286387cc65af40348fb4f0e3"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>Index</b><code> [get]</code></td></tr>
<tr class="separator:a24d74406286387cc65af40348fb4f0e3 inherit properties_interface_tri_lib_1_1_i_material_property"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68f7bcbab8e51bdce6d639543e01bffb inherit properties_interface_tri_lib_1_1_i_material_property"><td class="memItemLeft" align="right" valign="top"><a id="a68f7bcbab8e51bdce6d639543e01bffb" name="a68f7bcbab8e51bdce6d639543e01bffb"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>Semantic</b><code> [get]</code></td></tr>
<tr class="separator:a68f7bcbab8e51bdce6d639543e01bffb inherit properties_interface_tri_lib_1_1_i_material_property"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af52cbb87079ee1b39b102117a34c6a39 inherit properties_interface_tri_lib_1_1_i_material_property"><td class="memItemLeft" align="right" valign="top"><a id="af52cbb87079ee1b39b102117a34c6a39" name="af52cbb87079ee1b39b102117a34c6a39"></a>
<a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>EmbeddedTextureData</b><code> [get]</code></td></tr>
<tr class="separator:af52cbb87079ee1b39b102117a34c6a39 inherit properties_interface_tri_lib_1_1_i_material_property"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Internally represents a material property. </p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td></td></tr>
  </table>
  </dd>
</dl>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/InternalData/<a class="el" href="_material_data_8cs.html">MaterialData.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_material_property.html">MaterialProperty</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
